package kr.co.springframework.controller;

import kr.co.springframework.domain.Task;
import kr.co.springframework.task.service.TaskService;
import kr.co.springframework.validator.TaskValidator;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.SimpleFormController;

public class AddController extends SimpleFormController{

	private TaskService taskService;

	public void setTaskService(TaskService taskService) {
		this.taskService = taskService;
	}

	public AddController() {
		setFormView("task/add");
		setCommandClass(Task.class);
		setCommandName("task");
		setSuccessView("task/list");
		setValidator(new TaskValidator());
	}

	@Override
	protected ModelAndView onSubmit(Object command) throws Exception {
		Task task = (Task)command;
		taskService.add(task);
		return new ModelAndView(getSuccessView())
			.addObject("taskList", taskService.getTaskList());
	}
}
