package kr.co.springframework.controller;

import javax.servlet.http.HttpServletRequest;

import kr.co.springframework.domain.Task;
import kr.co.springframework.task.service.TaskService;
import kr.co.springframework.validator.TaskValidator;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.SimpleFormController;

public class UpdateController extends SimpleFormController {

	private TaskService taskService;

	public void setTaskService(TaskService taskService) {
		this.taskService = taskService;
	}

	public UpdateController() {
		setFormView("task/update");
		setCommandClass(Task.class);
		setCommandName("task");
		setSuccessView("task/list");
		setValidator(new TaskValidator());
	}

	@Override
	protected Object formBackingObject(HttpServletRequest request) throws Exception {
		Integer id = Integer.parseInt(request.getParameter("id"));
		Task task = taskService.get(id);
		return task;
	}

	@Override
	protected ModelAndView onSubmit(Object command) throws Exception {
		Task task = (Task)command;
		taskService.update(task);
		return new ModelAndView(getSuccessView())
			.addObject("taskList", taskService.getTaskList());
	}
}
