package kr.co.springframework.validator;

import kr.co.springframework.domain.Task;

import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

public class TaskValidator implements Validator {

	@SuppressWarnings("unchecked")
	@Override
	public boolean supports(Class clazz) {
		return Task.class.isAssignableFrom(clazz);
	}

	@Override
	public void validate(Object arg0, Errors errors) {
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "title", "required", "제목을 입력해 주세요.");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "content", "required", "내용을 입력해 주세요.");
	}

}
